#! /bin/sh

SRCINST=`which sourceinstall`
PREFIX=/home/gnu/usr

if test "x${SRCINST}" == "x"; then
    echo "Could not find sourceinstall binary, check PATH." 1>&2
    exit 1
fi

# Exclude NONGNU and also GNOME packages for the moment
PACKAGES=`${SRCINST} --list | grep -v "^\(NONGNU\|GNOME\)"`

for P in ${PACKAGES}; do
    rm -f ${P}.lst
    FILES=`${SRCINST} --export-list - ${P}`
    for F in ${FILES}; do
	if test -f ${F}; then
	    if test -x ${F}; then
		echo "${F}" | sed "s|^${PREFIX}||" >> ${P}.lst
	    fi
	fi
    done
done
